List Order Products

Lists 50 order products on an order using `order_id`. By default, items are sorted from lowest to highest according to a newly created ID, separate from the `order_id` and the `product_id`. **Note**: The response `id` is required when you [create order shipments](/developer/docs/admin/checkout-and-cart/orders#creating-order-shipments).

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

idintegerOptional
Numeric ID of this product within this order.
order_idintegerOptional
Numeric ID of the associated order.
product_idintegerOptional
Numeric ID of the product.
order_pickup_method_idintegerOptional
ID of the pickup fulfillment method for this item. Default value is 0 when the item is not fulfilled by pickup method.
order_address_idintegerOptional

Numeric ID of the associated order address. Value is 0 for items that are not fulfilled by a pickup method.

namestringOptional>=1 character

Alias for name_customer - The product name that is shown to customer in storefront.

skustringOptional

User-defined product code/stock keeping unit (SKU).

typeenumOptional
Type of product.
base_pricestringOptional

The product’s base price. (Float, Float-As-String, Integer)

price_ex_taxstringOptional

The product’s price excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

price_inc_taxstringOptional

The product’s price including tax. The value can’t be negative. (Float, Float-As-String, Integer)

price_taxstringOptional

Amount of tax applied to a single product.

Price tax is calculated as: price_tax = price_inc_tax - price_ex_tax

(Float, Float-As-String, Integer)

base_totalstringOptional

Total base price. (Float, Float-As-String, Integer)

Note: The base_total is affected by the tax options set up in the control panel and is altered on tax-free orders. See more details on how base_total is affected by visiting the Responsive Tax Display Settings overview. If the base_total is \$0, it’s due to the store’s tax settings. To learn more about tax settings in the control panel, check out this Tax Settings support article.

total_ex_taxstringOptional

Total base price excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

total_inc_taxstringOptional

Total base price including tax. The value can’t be negative. (Float, Float-As-String, Integer)

total_taxstringOptional

Total tax applied to products. For example, if quantity if 2, base price is 5 and tax rate is 10%. price_tax will be $.50 and total_tax will be $1.00.

If there is a manual discount applied total_tax is calculated as the following: (price_ex_tax - discount)*tax_rate=total_tax. (Float, Float-As-String, Integer)

quantityintegerOptional
Quantity of the product ordered.
base_cost_pricestringOptional

The product’s cost price. This can be set using the Catalog API. (Float, Float-As-String, Integer)

cost_price_inc_taxstringOptional

The product’s cost price including tax. (Float, Float-As-String, Integer) The cost of your products to you; this is never shown to customers, but can be used for accounting purposes. The value can’t be negative.

cost_price_ex_taxstringOptional

The product cost price excluding tax. (Float, Float-As-String, Integer) The cost of your products to you; this is never shown to customers, but can be used for accounting purposes. The value can’t be negative.

weightdouble or stringOptional

Weight of the product. The value can’t be negative. (Float, Float-As-String, Integer)

widthstringOptional
Product width. The value can't be negative.
heightstringOptional
Product height. The value can't be negative.
depthstringOptional
Product depth. The value can't be negative.
cost_price_taxstringOptional

Tax applied to the product’s cost price. (Float, Float-As-String, Integer) The cost of your products to you; this is never shown to customers, but can be used for accounting purposes. Read Only

is_refundedbooleanOptional
Whether the product has been refunded.
quantity_refundeddoubleOptional
The total quantity of product refunded from this transaction.
return_iddoubleOptional
Numeric ID for the refund.
wrapping_idintegerOptional
ID of the gift wrapping option.
wrapping_namestring or nullOptional

Name of gift-wrapping option.

base_wrapping_coststring or doubleOptional

The value of the base wrapping cost. The value can’t be negative. (Float, Float-As-String, Integer)

wrapping_cost_ex_taxstringOptional

The value of the wrapping cost, excluding tax. The value can’t be negative. (Float, Float-As-String, Integer)

wrapping_cost_inc_taxstringOptional

The value of the wrapping cost, including tax. The value can’t be negative. (Float, Float-As-String, Integer)

wrapping_cost_taxstringOptional

Tax applied to gift-wrapping option. (Float, Float-As-String, Integer)

wrapping_messagestringOptional

Message to accompany gift-wrapping option.

quantity_shippeddoubleOptional
Quantity of this item shipped.
event_namestring or nullOptional

Name of promotional event/delivery date.

event_datedate or nullOptional

Date of the promotional event/scheduled delivery.

fixed_shipping_coststringOptional

Fixed shipping cost for this product. (Float, Float-As-String, Integer)

ebay_item_idstringOptional
Item ID for this product on eBay.
ebay_transaction_idstringOptional
Transaction ID for this product on eBay.
option_set_idinteger or nullOptional
Numeric ID of the option set applied to the product.
parent_order_product_idinteger or nullOptional
ID of a parent product.
is_bundled_productbooleanOptional
Whether this product is bundled with other products.
bin_picking_numberstringOptional
Bin picking number for the physical product.
external_idstring or nullOptionalRead-only

(Read-only) ID of the order in another system. For example, the Amazon order ID if this is an Amazon order.

brandstringOptional

The productʼs brand.

applied_discountslist of objectsOptional
Array of objects containing discounts applied to the product.
product_optionslist of objectsOptional
Array of product option objects.
configurable_fieldslist of objectsOptional

Available for only Catalog V2 stores.

upcstringOptional<=255 characters
Universal Product Code. Can be written to for custom products and catalog products.
variant_idintegerOptional

Products variant_id. PUT or POST. This field is not available for custom products.

name_customerstringOptional
The product name that is shown to customer in storefront.
name_merchantstringOptional
The product name that is shown to the merchant in the control panel.
gift_certificate_idinteger or nullOptional
ID of the associated gift certificate.
discounted_total_inc_taxstringOptional

Represent the correct total amount of the line item after deducting all the discounts and including the tax. This number can be used for accounting purpose.

This makes it easier to have the “shopper paid” value for a line item and api user doesn’t have to do any calculation to deduct discount on the client side.

This field includes all types of discounts (automatic, coupon, manual) and therefore if you use this value, you don’t need to deduct any more discounts at line item level or order level.

refund_amountstringOptionalDeprecated

The amount refunded from this transaction; always returns 0. (Float, Float-As-String, Integer)